

function GameScreen:InitScreen()
    self:LoadScreen()
    self:init_dlg({"cue_right", "cue_left", "cue_right", "cue_left", "cue_right"}, {"Cue_26", "Cue_26a", "Cue_26b", "Cue_26b2", "Cue_26b3"})
    
    self:FadeOut(0.8);
    
    self.active = false;
    DelayedExec(0.1, function()
        self.active = true
    end)
end



function GameScreen:LoadScreen()
	--[[---Background---]]--
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "comics_back_trigger", "graphics/trigger", 0, 0, REAL_WINDOW_WIDTH*2, REAL_WINDOW_HEIGHT*2);
	ItemSetOpacity("comics_back_trigger", 0.01)
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "eve_prince_26", "graphics/screens/26_dessert/location/eve_prince_26", 0, 0);

	
	self:CreateObj(OBJ_TYPE.NO_ACTIVE, "cue_left", "graphics/interface/comics/cue_left", 260, 842);
	self:CreateObj(OBJ_TYPE.NO_ACTIVE, "cue_right", "graphics/interface/comics/cue_right", 358, 838);
	ItemSetOpacity("cue_left", 0.0)
	ItemSetOpacity("cue_right", 0.0)
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_26b", "graphics/screens/26_dessert/location/Cue_26b", 396, 935);
     self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_26b2", "graphics/screens/26_dessert/location/Cue_26b2", 398, 989);
     self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_26b3", "graphics/screens/26_dessert/location/Cue_26b3", 393, 934);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_26a", "graphics/screens/26_dessert/location/Cue_26a", 477, 992);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_26", "graphics/screens/26_dessert/location/Cue_26", 399, 962);
end